MP2 - V2.4 Alexa Voice-Control for MP2 (1 Viewer)

ge2301

Lead Design MP2
  • Team MediaPortal
  • January 11, 2014
    7,712
    2,850
    Stuttgart
    Home Country
    Germany Germany
    The second client is fresh installed i first tried it with MP 2.3.2 same behaviour
    I also tried it with MP2.3.X and can confirm, the issue is the same. So it's not related to MP2, but browser updates (but I don't think so) or the target link of the login page. Because the source souce is not open, I can not even see the target URL and can not try to add it manually to my firefox.
    Edit: Maybe you can comment on the skill page, so he gets aware of it.
     

    ge2301

    Lead Design MP2
  • Team MediaPortal
  • January 11, 2014
    7,712
    2,850
    Stuttgart
    Home Country
    Germany Germany
    I could catch the login code with an external tool and created a hmtl out of it (attached).
    Opening it does show the same dialog and buttons work, but nothing happens.
    But the URL changes to:
    deviceproxy.nocrosshair.de/LoginReturn.html?error_description=Implicit+Grant+(response_type=token)+is+no+longer+supported.+See+deprecation+notice+at+Implicit Grant (Deprecated) | Login with Amazon

    Seems the previous implicit login method was cancelled by amazon and is unsupported now :(
    @offbyone will need to check and probably modify the link method to the amazon account.
     

    Attachments

    • alexa.rar
      866 bytes

    Users who are viewing this thread

    Similar threads

    • Sticky
    Great work and release!! Contrats to all involved developers :):D I installed MP1 initially, but didn’t get along with it. Many things were not intuitive, too frumpy and the gui had hardcoded dependencies to plug-ins, some buttons didn’t work even without a note due to that. Same for player controls, why do I see always play and pause...
    Great work and release!! Contrats to all involved developers :):D I installed MP1 initially, but didn’t get along with it. Many...
    We are proud to present MediaPortal 2.4 MediaPortal 2.4 is a full-blown media center software that addresses most common user...
    Replies
    4
    Views
    626
    I pulled the changes, rebuild server and client, removed and readded the TVMosaic share. Unfortunately the recordings made with TVMosaic do not show genre infos in MP2 (In TVMosaic webview they have). Logs are attached.
    I pulled the changes, rebuild server and client, removed and readded the TVMosaic share. Unfortunately the recordings made with...
    The current TV engine (TVE3) for Media Portal 1 and 2 was developed long time before and is not state of the art any more...
    Replies
    93
    Views
    4K
    Hi, must be really a while, cuz I can not remember any post from you ;) But might be also that I joined the team too late. Yes, there will be many things. Main reason is simply, that MP2 is not developed based on MP1. I for example never used MP1. I tried it lately to test voice control and was shocked about many inconsistancies in...
    Hi, must be really a while, cuz I can not remember any post from you ;) But might be also that I joined the team too late. Yes...
    It´s been a while... :) Well, simply the reason is cause MP1 was working so well... :) Now I decided to upgrade my old servers and...
    Replies
    1
    Views
    244
    I didn’t know this, however as they hadn’t announced anything new for a while I should have guessed. Sad though. I’ve had a harmony remote for about 15years. Now I’m using the elite with hub and it’s amazing. hopefully they stick to their word and keep up support.
    I didn’t know this, however as they hadn’t announced anything new for a while I should have guessed. Sad though. I’ve had a harmony...
    As announced on the Logitech forums: Announcement: Harmony Remote Manufacturing, Service and Support Update Hello folks, We have...
    Replies
    1
    Views
    616
    I've been using version 1.2.2.0 for years and have found no need to upgrade to newer version. I hate it that skins loose compatibility with almost every new version. And new skins are too 'fancy' for my taste. I use a customized version of the default wide skin with only Videos and TV in the main menu. I use mediaportal for recording...
    I've been using version 1.2.2.0 for years and have found no need to upgrade to newer version. I hate it that skins loose...
    I've been using version 1.2.2.0 for years and have found no need to upgrade to newer version. I hate it that skins loose...
    Replies
    0
    Views
    207
    Top Bottom